Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerCam.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExManagerCam.h,v 1.6 2002/08/12 12:24:52 data Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __EXMANAGERCAM_H__
    00025 #define __EXMANAGERCAM_H__
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 #include "ExMath.h"
    00031 #include "ExCCamera.h"
    00032 #include "ExManagerPVS.h"
    00033 #include "ExManagerCollision.h"
    00034 #include "ExManagerId.h"
    00035 #include "ExManager.h"
    00036 #include "ExNihiloNameSpace.h"
    00037 //--------------------------------
    00038 class ExManagerCam
    00039 {
    00040 private:
    00041 //--------------------------------
    00042 // Variable
    00043 //--------------------------------
    00044         ExManagerPVS                            *ManagerPVS;
    00045         ExManagerCollision                      *ManagerCollision;
    00046         ExManagerId                                             *ManagerId      ;
    00047
    00048         std::vector<ExCCamera> m_VecCamera;
    00049         std::vector<ExCCamera>::iterator m_ItVecCamera;
    00050
    00051         ExNihilo::ExId m_CurrentCam;
    00052
    00053         ExNihilo::ExId                                          m_MultSlot1;
    00054         ExNihilo::ExId                                          m_MultSlot2;
    00055         ExNihilo::ExId                                          m_MultSlot3;
    00056         ExNihilo::ExId                                          m_MultSlot4;
    00057         int                                                     itcount;
    00058 public:
    00059 //--------------------------------
    00060 // Constructor // Destructor
    00061 //--------------------------------
    00062         ExManagerCam(void);
    00063         ~ExManagerCam(void);
    00064 //--------------------------------
    00065 // Methode
    00066 //--------------------------------
    00067         bool                                    m_multiview;
    00068         std::ostrstream *Consol;
    00069
    00070         inline void SetManagerPVS(ExManagerPVS * PVS){ManagerPVS = PVS;}
    00071         inline void SetManagerCollision(ExManagerCollision *Collision){ManagerCollision = Collision;}
    00072         inline void SetManagerId(ExManagerId *Id){ManagerId     = Id;}
    00073         ExCCamera * GetCurrentCam(void);
    00074         void NextCam(void);
    00075         void PrevCam(void);
    00076         void SetCurrentCam(ExNihilo::ExId Id);
    00077         void Draw(int x,int y);
    00078         void Reset(void);
    00079         void Init(void);
    00080         bool Init(std::string FileName);
    00081         ExNihilo::ExId NewObject(void);
    00082         ExCCamera *  Get(std::string Name);
    00083         ExCCamera *  Get(ExNihilo::ExId Id);
    00084         ExNihilo::ExId Add(ExCCamera Object);
    00085         bool Remove(ExNihilo::ExId Id);
    00086         ExNihilo::ExId GetIdByName(std::string Name);
    00087         std::string GetNameById(ExNihilo::ExId Id);
    00088 //--------------------------------
    00089 // Operator
    00090 //--------------------------------
    00091 //--------------------------------
    00092 // friends
    00093 //--------------------------------
    00094 };
    00095 #endif //__EXMANAGERCAM_H__